.nav-item.home {
    background: linear-gradient(270deg, #b700e6 0%, #f01da1 100%);
}

.index-blue-bg {
    background: linear-gradient(180deg, #0c6cf3 0%, #ffffff 100%);
}

.index-top-container {
}

.carousel-wrapper {
    width: 100%;
    position: relative;
}

.carousel {
    width: 100%;
    overflow: hidden;
}

.carousel-view {
    overflow: hidden;
    width: 100%;
}

.carousel-container {
    display: flex;
    transition: transform 0.5s ease-in-out;
    gap: 20px;
    width: 100%;
    height: 24rem;
}

.carousel-item {
    width: 40%;
    height: 100%;
}

.carousel-item img {
    height: 100%;
    object-fit: cover;
    flex-shrink: 0;
    border-radius: 20px;
}

.carousel-button {
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(0, 0, 0, 0.44);
    height: 2rem;
    width: 2rem;
    border-radius: 50%;
    padding: 10px;
    cursor: pointer;
    z-index: 4;
}

.carousel-button img {
    width: 0.6rem;
    height: 0.8rem;
}

.carousel-button.prev {
    left: 0;
}

.carousel-button.next {
    left: 100%;
}

.carousel-button.hidden {
    display: none;
}

.index-category-wrapper {
    /*background-color: rgba(17, 41, 92, 0.5);*/
    border-radius: 15px;
    padding: 1.5rem 2rem;
    font-family: Alibaba Sans;
    box-shadow: 0px 7px 25px rgba(0, 0, 0, 0.17);
}

.index-category-wrapper .index-category-header {
    display: flex;
}

.index-category-wrapper .game-box {
    width: 32%;
}

.index-category-wrapper .game-box .game-main-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.index-category-wrapper .index-category-header .category-name {
    padding: 0.6rem 0;
    width: 8rem;
    text-align: center;
    margin-right: 1.3rem;
    background-color: rgba(16, 21, 26, 0.5);
    border-radius: 2rem;
    font-size: 1.05rem;
    font-weight: 500;
    cursor: pointer;
    color: #ffffff;
}

.index-category-wrapper .index-category-header .category-name.this {
    background: linear-gradient(270deg, #b700e6 0%, #f01da1 100%);;
}

.index-category-wrapper .category-container {
    display: none;
    margin-top: 2.5rem;
}

.index-category-wrapper .category-container.this {
    display: flex;
}

.index-category-wrapper .devide-line {
    margin: 0 2rem;
    width: 2px;
    background-color: #c8c8c8;;
    opacity: 26%;
}

.index-category-wrapper .category-container .category-game-item {

}

.index-category-wrapper .category-container .category-game-item .game-icon {
    height: 6rem;
    width: 6rem;
    object-fit: cover;
    margin-right: 0.8rem;
    border-radius: 20px;
}

.index-top-container .game-title {
    font-weight: 700;
    color: #ffffff;
    font-size: 1.2rem;
    margin-bottom: 0.4rem;
}

.top-game-container .game-title {
    font-weight: 700;
    color: #191919;
    font-size: 1.2rem;
    margin-bottom: 0.4rem;
}

.index-top-container .game-summary {
    color: #ffffff;
    font-size: 1.1rem;
    opacity: 0.7;
}

.top-game-container .game-summary {
    color: #191919;
    font-size: 1.1rem;
    opacity: 0.7;
}

.top-game-container {
    margin-top: 3rem;
    margin-bottom: 3rem;
}

.top-game-container .top-game-item {
    width: 30%;
    background: #ffffff;
    border-radius: 20px;
    box-shadow: 0px 7px 25px rgba(0, 0, 0, 0.17);
    font-family: Alibaba Sans;
    cursor: pointer;
}

.top-game-container .game-head-img {
    width: 100%;
    height: 16rem;
    object-fit: cover;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}

.top-game-container .top-game-main {
    padding: 1rem;
}

.top-game-container .top-game-main .game-main-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.top-game-container .top-game-main .game-icon {
    height: 6rem;
    width: 6rem;
    object-fit: cover;
    border-radius: 20px;
    margin-right: 1rem;
}

.index-game-container {
    font-family: Alibaba Sans;
}

.index-game-container .line {
    opacity: 26%;
    height: 1px;
    background-color: #ffffff;
    margin-top: 2rem;
    margin-bottom: 2.6rem;
}

.index-game-container .on-category {


}

/*.index-game-container .list-box .game-item {*/
/*    cursor: pointer;*/
/*}*/

/*.index-game-container .list-box .game-item img {*/
/*    width: 10rem;*/
/*    height: 10rem;*/
/*    object-fit: cover;*/
/*    border-radius: 40px;*/
/*    box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.5);*/
/*}*/

/*.index-game-container .list-box .game-title {*/
/*    height: 3rem;*/
/*    width: 10rem;*/
/*    text-align: center;*/
/*    font-size: 1.1rem;*/
/*    color: #ffffff;*/
/*    font-weight: 0;*/
/*    margin-top: 0.4rem;*/
/*}*/

.index-game-container .category-header-container {
    margin-bottom: 1.5rem;
}

.index-game-container .category-header-container .category-name {
    font-weight: 600;
    color: #ffffff;
    font-family: Alibaba Sans;
    font-size: 1.4rem;
}

.index-game-container .category-header-container .more-btn {
    padding: 0.5rem 1.4rem;
    font-size: 1rem;
    color: #ffffff;
    border-radius: 10px;
    cursor: pointer;
    background-color: #323457;
}

.index-game-container .category-header-container .more-btn img {
    height: 1rem;
    margin-left: 0.5rem;
}

